Last Comment Bug 630371 - [10.6] Mac "installer" window background doesn't fit
: [10.6] Mac "installer" window background doesn't fit
Status: RESOLVED FIXED
: fixed-seamonkey2.0.14
Product: SeaMonkey
Classification: Client Software
Component: Installer (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: seamonkey2.1b3
Assigned To: Stefan [:stefanh]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-31 14:53 PST by Stefan [:stefanh]
Modified: 2011-03-19 04:40 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
-
wanted


Attachments
Screenshot (10.6) (84.73 KB, image/png)
2011-01-31 14:53 PST, Stefan [:stefanh]
no flags Details
Adjust height of window (2.09 KB, patch)
2011-03-10 11:13 PST, Stefan [:stefanh]
mnyromyr: review+
bugspam.Callek: approval‑seamonkey2.0.14+
Details | Diff | Splinter Review

Description Stefan [:stefanh] 2011-01-31 14:53:01 PST
Created attachment 508564 [details]
Screenshot (10.6)

On 10.6, Apple have changed the way the path bar appears at the bottom on windows: it just attaches itself to the bottom, without taking up any content space. Unfortunately, our background-image in the installer window was made to fit exactly with the path bar in the content area - so on 10.6 there's now a blank space at the bottom.

We should fix this on 2.0.x too.
Comment 1 Philip Chee 2011-02-01 06:35:23 PST
Hmm |background-size: cover;| should future proof things somewhat right?
Comment 2 Stefan [:stefanh] 2011-02-01 06:43:54 PST
(In reply to comment #1)
> Hmm |background-size: cover;| should future proof things somewhat right?

Ah, this is not our "window" - it's the disk image "window". So, no css magic there, unfortunately - only a .DS_Store file in binary format (with window dimensions, features etc).
Comment 3 Stefan [:stefanh] 2011-03-08 12:14:37 PST
I think we should fix this for final, it looks unprofessional with the current background.
Comment 4 Justin Wood (:Callek) 2011-03-08 18:18:21 PST
I agree that it look suboptimal, but its still usable, and has the icons still lining up. I'm not blocking for this, but I will take a patch even on our stable branch if one comes along. I surely do want it though.
Comment 5 Stefan [:stefanh] 2011-03-10 11:13:21 PST
Created attachment 518451 [details] [diff] [review]
Adjust height of window

OK, I *think* this should fix it. I had to edit the file a bit, overwrote some of the my added junk with "x". If you want, you can probably overwrite the "suiterunner" stuff in the file ;-).

Anyway, this should adjust the window height, so we don't have that white space at the bottom. Only tested on 10.6.6. If you don't have a Leopard drive handy, I can probably boot into an old back-up drive with Leopard after a cross-compile (painful, but probably needed).
Comment 6 Stefan [:stefanh] 2011-03-10 11:15:16 PST
Btw, Mento did some reverse-engineering of the magic .DS_Store file:
https://wiki.mozilla.org/DS_Store_File_Format
Comment 7 Stefan [:stefanh] 2011-03-13 16:00:16 PDT
I'll land this when I've tested it on 10.5.
Comment 8 Stefan [:stefanh] 2011-03-15 09:43:34 PDT
http://hg.mozilla.org/comm-central/rev/952c43875cd9 (tested ok on Leopard)
Comment 9 Stefan [:stefanh] 2011-03-18 15:29:44 PDT
Comment on attachment 518451 [details] [diff] [review]
Adjust height of window

We might want to take this for 2.0.13.

Note You need to log in before you can comment on or make changes to this bug.